## apt-setup 0.189

=== Makefile ===
##
# Project Title
#
# @file
# @version 0.1

COVERAGE_DIR := ./coverage
COVERAGE_JSON := $(COVERAGE_DIR)/kcov-merged/coverage.json

CHROOT_CMD = FAKECHROOT_EXCLUDE_PATH=/tmp:/dev:/bin:/usr/bin:/usr/share/shunit2:$(PWD) fakechroot chroot test/chroot ./cd-exec $(PWD)
KCOV_CMD = kcov --bash-parse-files-in-dir=generators --exclude-path=/usr/bin/shunit2,$(PWD)/test $(COVERAGE_DIR)

all:

test:
	$(CHROOT_CMD) $(PWD)/test/20-local-repo-upgrade.sh
	$(CHROOT_CMD) $(PWD)/test/60local.sh

coverage:
	$(CHROOT_CMD) $(KCOV_CMD) $(PWD)/test/20-local-repo-upgrade.sh
	$(CHROOT_CMD) $(KCOV_CMD) $(PWD)/test/60local.sh
	if [ -f "$(COVERAGE_JSON)" ] ; then jq '"Total Code Coverage: \(.percent_covered) %"' $(COVERAGE_JSON) ; fi

.PHONY: test coverage

# end

## apt-setup 0.11ubuntu5

=== debian/control ===
Source: apt-setup
Section: debian-installer
Priority: extra
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>
Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0), po-debconf (>= 0.5.0)

Package: apt-setup-udeb
XC-Package-Type: udeb
Architecture: all
Priority: standard
XB-Installer-Menu-Item: 70
Depends: apt-mirror-setup, base-installer (>= 1.49)
Description: Configure apt

Package: apt-mirror-setup
XC-Package-Type: udeb
Architecture: all
Depends: choose-mirror-bin
Description: set up a mirror in sources.list

Package: apt-cdrom-setup
XC-Package-Type: udeb
Architecture: all
Provides: apt-mirror-setup
Depends: cdrom-detect
Description: set up a CD in sources.list

=== debian/rules ===
#!/usr/bin/make -f

build:
	dh_testdir

clean:
	dh_testdir
	dh_testroot
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	echo >> debian/apt-mirror-setup/DEBIAN/templates
	po2debconf debian/apt-mirror-setup.templates-ubuntu \
		>> debian/apt-mirror-setup/DEBIAN/templates
	dh_strip
	dh_compress
	dh_fixperms
	cp debian/apt-setup-udeb.isinstallable debian/apt-setup-udeb/DEBIAN/isinstallable
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## apt-setup 0.16ubuntu4

=== debian/changelog ===
apt-setup (1:0.16ubuntu4) feisty; urgency=low

  * Set Maintainer to ubuntu-installer@lists.ubuntu.com.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 16 Feb 2007 09:07:04 +0000

apt-setup (1:0.16ubuntu3) feisty; urgency=low

  * generators/90security: Add security sources for multiverse, commented
    out unless multiverse is enabled (thanks, Timo Aaltonen; LP: #55509).
  * debian/apt-mirror-setup.templates-ubuntu: Enable universe and multiverse
    by default
    (https://blueprints.launchpad.net/ubuntu/+spec/enabling-additional-components).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  8 Feb 2007 14:19:38 +0000

apt-setup (1:0.16ubuntu2) feisty; urgency=low

  * generators/90security: Disable check for contrib and non-free
    (LP: #56009).
  * generators/50mirror.ubuntu: Link to
    http://help.ubuntu.com/community/UpgradeNotes for upgrade instructions
    (LP: #69094).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Dec 2006 15:06:11 +0000

apt-setup (1:0.16ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Install the Ubuntu mirror generator instead of Debian's.
    - Set apt-setup/security_host to security.ubuntu.com, or
      ports.ubuntu.com on ports architectures; adjust directory and
      distribution to match.
    - Add security sources for restricted and universe, commented out unless
      the respective components are enabled.
    - For CD installs, leave the sources.list created by apt-setup in
      /etc/apt/sources.list.apt-setup, and restore the sources.list created
      during base installation for the rest of the installation.
    - Honour OVERRIDE_BASE_INSTALLABLE when deciding whether to run
      choose-mirror.
    - Don't bother validating network mirrors if the base system can be
      installed from CD; apt's failure mode is sufficiently graceful
      nowadays that we can let the user sort out problems after
      installation.
  * Allow back up from use network mirror question in Ubuntu mirror
    generator.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 31 Oct 2006 15:23:58 +0000

apt-setup (1:0.16) unstable; urgency=low

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Belarusian (be.po) by Andrei Darashenka
  * Bengali (bn.po) by Mahay Alam Khan (মাহে আলম খান)
  * Danish (da.po) by Claus Hindsgaul
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Estonian (et.po) by Siim Põder
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Tapio Lehtonen
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Nishant Sharma
  * Croatian (hr.po) by Josip Rodin
  * Indonesian (id.po) by Arief S Fitrianto
  * Italian (it.po) by Stefano Canepa
  * Korean (ko.po) by Sunjae park
  * Kurdish (ku.po) by Erdal Ronahi
  * Latvian (lv.po) by Aigars Mahinovs
  * Nepali (ne.po) by Shiva Prasad Pokharel
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Slovenian (sl.po) by Jure Čuhalev
  * Albanian (sq.po) by Elian Myftiu
  * Tamil (ta.po) by Damodharan Rajalingam
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke

 -- Frans Pop <fjp@debian.org>  Tue, 24 Oct 2006 13:48:32 +0200

apt-setup (1:0.15) unstable; urgency=low

  * Fix broken proxy setting code in 90security. Closes: #378868
    Some systems installed before this fix will have Acquire::http::proxy "false"
    set in apt.conf, which leads to breakage in some situations. Also, if a
    proxy was set, it would not be written to the file.

 -- Joey Hess <joeyh@debian.org>  Thu, 17 Aug 2006 17:45:07 -0400

apt-setup (1:0.14) unstable; urgency=low

  * Make apt-setup idempotent by removing workfile on back up.
  * Allow back up from use network mirror question.
  * Make apt-setup-verify responsible for blank lines between sources lines
    from different generators.
  * Add Lintian override for standards-version.
  * Add missing dependencies on debconf.

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Icelandic (is.po) by David Steinn Geirsson
  * Dutch (nl.po) by Bart Cornelis
  * Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Frans Pop <fjp@debian.org>  Tue, 15 Aug 2006 02:22:07 +0200

apt-setup (1:0.13) unstable; urgency=low

  [ Colin Watson ]
  * Only use RET in security generator for data returned from debconf, to
    avoid confusion.
  * Fix mirror generators not to break if apt-setup/use_mirror isn't asked.

  [ Updated translations ]
  * Finnish (fi.po) by Tapio Lehtonen
  * Panjabi (pa.po) by A S Alam
  * Tagalog (tl.po) by Eric Pareja

 -- Frans Pop <fjp@debian.org>  Tue, 25 Jul 2006 13:01:56 +0200

apt-setup (1:0.12) unstable; urgency=low

  [ Colin Watson ]
  * Port mirror generator changes from 1:0.11 to Ubuntu mirror generator.

  [ Updated translations ]
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Estonian (et.po) by Siim Põder
  * Hungarian (hu.po) by SZERVÑC Attila
  * Macedonian (mk.po) by Georgi Stanojevski
  * Dutch (nl.po) by Bart Cornelis
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Polish (pl.po) by Bartosz Fenski
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Frans Pop <fjp@debian.org>  Thu, 13 Jul 2006 17:11:34 +0200

apt-setup (1:0.11ubuntu5) edgy; urgency=low

  * Don't bother validating network mirrors if the base system can be
    installed from CD; apt's failure mode is sufficiently graceful nowadays
    that we can let the user sort out problems after installation (closes:
    Malone #14599, #35364).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Oct 2006 18:47:47 +0100

apt-setup (1:0.11ubuntu4) edgy; urgency=low

  * Backport from trunk (Joey Hess):
    - Fix broken proxy setting code in 90security. Closes: #378868
      Some systems installed before this fix will have Acquire::http::proxy


=== debian/control ===
Source: apt-setup
Section: debian-installer
Priority: extra
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>
Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0), po-debconf (>= 0.5.0)
XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/apt-setup

Package: apt-setup-udeb
XC-Package-Type: udeb
Architecture: all
Priority: standard
XB-Installer-Menu-Item: 70
Depends: apt-mirror-setup, base-installer (>= 1.49), ${misc:Depends}
Description: Configure apt

Package: apt-mirror-setup
XC-Package-Type: udeb
Architecture: all
Depends: choose-mirror-bin, ${misc:Depends}
Description: set up a mirror in sources.list

Package: apt-cdrom-setup
XC-Package-Type: udeb
Architecture: all
Provides: apt-mirror-setup
Depends: cdrom-detect, ${misc:Depends}
Description: set up a CD in sources.list

## apt-setup 0.20

=== debian/changelog ===
apt-setup (1:0.20) unstable; urgency=low

  [ Updated translations ]
  * Malayalam (ml.po) by Praveen A

 -- Frans Pop <fjp@debian.org>  Tue, 27 Feb 2007 16:37:56 +0100

apt-setup (1:0.19) unstable; urgency=low

  [ Joey Hess ]
  * Improve regexp in 90security to not misfire if the mirror's name or path
    contains "contrib" or "non-free".

  [ Updated translations ]
  * Hebrew (he.po) by Lior Kaplan

 -- Frans Pop <fjp@debian.org>  Tue, 13 Feb 2007 23:23:00 +0100

apt-setup (1:0.18) unstable; urgency=low

  [ Updated translations ]
  * Romanian (ro.po) by Eddy Petrișor

 -- Frans Pop <fjp@debian.org>  Wed, 31 Jan 2007 11:18:40 +0100

apt-setup (1:0.17) unstable; urgency=low

  [ Christian Perrier ]
  * Fix error in French translation. Closes: #400715.

  [ Frans Pop ]
  * Make wget respect proxy servers defined for local sources. Based on a
    patch suggested by John Morrissey, for which thanks. Closes: #408297.
  * Use log-output for commands that produce output if run in the installer.
  * Consistently use http protocol when setting up security archive (ftp
    reguires a different mirror directory and is thus not easy to support).
  * Reduce timeout for testing security mirrors to 30 seconds. As security.d.o
    currently has 3 IP addresses listed, and these are tried consecutively, the
    total timeout will be 1.5 minutes (was 6 minutes). Closes: #393033.
  * apt-setup-verify: reset IFS to avoid problems with option processing.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Belarusian (be.po) by Pavel Piatruk
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bosnian (bs.po) by Safir Secerovic
  * Danish (da.po) by Claus Hindsgaul
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * Hebrew (he.po) by Lior Kaplan
  * Georgian (ka.po) by Aiet Kolkhi
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Matej Kovačič
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Recai Oktaş

 -- Frans Pop <fjp@debian.org>  Mon, 29 Jan 2007 21:43:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: apt-setup
 Section: debian-installer
 Priority: extra
-Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>
 Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0), po-debconf (>= 0.5.0)
 XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/apt-setup

=== debian/rules ===
--- 
+++ 
@@ -20,9 +20,6 @@
 	dh_testdir
 	dh_testroot
 	dh_installdebconf
-	echo >> debian/apt-mirror-setup/DEBIAN/templates
-	po2debconf debian/apt-mirror-setup.templates-ubuntu \
-		>> debian/apt-mirror-setup/DEBIAN/templates
 	dh_strip
 	dh_compress
 	dh_fixperms

## apt-setup 0.20etch1

=== debian/changelog ===
apt-setup (1:0.20etch1) stable; urgency=low

  * 50mirror: default suite to codename, similar to what we already do for
    network-based installs; choose-mirror will determine the actual suite
    from the codename. Closes: #422442.

 -- Frans Pop <fjp@debian.org>  Mon,  4 Jun 2007 21:15:12 +0200

## apt-setup 0.21ubuntu4

=== debian/changelog ===
apt-setup (1:0.21ubuntu4) gutsy; urgency=low

  * Always verify the mirror, though with a shorter timeout than before (10
    seconds). If we don't, then 'apt-get update' isn't called to download
    indices, which means we are never able to download language packs from
    the network.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 10 Oct 2007 18:16:15 +0100

apt-setup (1:0.21ubuntu3) gutsy; urgency=low

  * Rename the 'commercial' component to 'partner'.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Sep 2007 18:10:33 +0100

apt-setup (1:0.21ubuntu2) gutsy; urgency=low

  * If either restricted or multiverse is enabled, add commented-out lines
    for the commercial component (LP: #118002).
  * Add -updates for universe and multiverse, if enabled.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 02 Aug 2007 11:20:05 +0100

apt-setup (1:0.21ubuntu1) gutsy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Install the Ubuntu mirror generator instead of Debian's.
    - Set apt-setup/security_host to security.ubuntu.com, or
      ports.ubuntu.com on ports architectures; adjust directory and
      distribution to match.
    - Add security sources for restricted, universe, and multiverse,
      commented out unless the respective components are enabled. Disable
      security generator checks for contrib and non-free.
    - For CD installs, leave the sources.list created by apt-setup in
      /etc/apt/sources.list.apt-setup, and restore the sources.list created
      during base installation for the rest of the installation.
    - Honour OVERRIDE_BASE_INSTALLABLE when deciding whether to run
      choose-mirror.
    - Don't bother validating network mirrors if the base system can be
      installed from CD; apt's failure mode is sufficiently graceful
      nowadays that we can let the user sort out problems after
      installation.
    - Enable universe and multiverse by default.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 29 Apr 2007 16:25:30 +0100

apt-setup (1:0.21) unstable; urgency=low

  * Multiply menu-item-numbers by 100.

  [ Updated translations ]
  * Esperanto (eo.po) by Serge Leblanc
  * Basque (eu.po) by Piarres Beobide
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Apr 2007 14:26:40 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: apt-setup
 Section: debian-installer
 Priority: extra
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>
 Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0), po-debconf (>= 0.5.0)
 XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/apt-setup
@@ -10,7 +11,7 @@
 XC-Package-Type: udeb
 Architecture: all
 Priority: standard
-XB-Installer-Menu-Item: 70
+XB-Installer-Menu-Item: 7000
 Depends: apt-mirror-setup, base-installer (>= 1.49), ${misc:Depends}
 Description: Configure apt

## apt-setup 0.37ubuntu6

=== debian/changelog ===
apt-setup (1:0.37ubuntu6) intrepid; urgency=low

  * Check to make sure the CD filesystem is iso9660 before remounting it
    as such.  Do not write a CD identifier if we're not working with
    iso9660 so pkgsel does not try to unmount such disks.

 -- Evan Dandrea <evand@ubuntu.com>  Mon, 20 Oct 2008 01:58:26 -0400

apt-setup (1:0.37ubuntu5) intrepid; urgency=low

  * Fix description of universe in generated sources.list: packages there
    are expected to be under a free licence.
  * Run 'apt-get update', without downloading package lists or cleaning up
    old files, after moving the sources.list generated during base system
    installation back into place (LP: #267884).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 09 Oct 2008 14:53:36 +0100

apt-setup (1:0.37ubuntu4) intrepid; urgency=low

  * Fix sense of OVERRIDE_BASE_INSTALLABLE test in cdrom generator
    (LP: #264337).
  * If OVERRIDE_LEAVE_CD_MOUNTED is set, don't unmount /cdrom; this is a bad
    idea in a live CD environment!

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 06 Sep 2008 10:47:32 +0100

apt-setup (1:0.37ubuntu3) intrepid; urgency=low

  * Bail out cleanly from cdrom generator if /cdrom/.disk/info doesn't exist
    or has zero size (LP: #245519).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 27 Jul 2008 00:05:58 +0100

apt-setup (1:0.37ubuntu2) intrepid; urgency=low

  * Initialise local variable 'file' so that apt-setup-verify doesn't get
    excruciatingly confused when you pass file=/path on the kernel command
    line.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 26 Jun 2008 18:45:38 +0100

apt-setup (1:0.37ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Install the Ubuntu mirror generator instead of Debian's.
    - Set apt-setup/security_host to security.ubuntu.com, or
      ports.ubuntu.com on ports architectures; adjust directory and
      distribution to match.
    - Add security sources for restricted, universe, and multiverse,
      commented out unless the respective components are enabled. Disable
      security generator checks for contrib and non-free.
    - For CD installs, leave the sources.list created by apt-setup in
      /etc/apt/sources.list.apt-setup, and restore the sources.list created
      during base installation for the rest of the installation.
    - Honour OVERRIDE_BASE_INSTALLABLE when checking
      /cdrom/.disk/base_installable.
    - Enable universe and multiverse by default.
    - If either restricted or multiverse is enabled, add commented-out lines
      for the partner archive.
    - Reduce the mirror verification timeout to 10 seconds.
    - Disable the volatile service for Ubuntu, and don't ask the
      apt-setup/services-select question.
    - Always disable the CD at the end of installation if no mirrors are
      present, even if it's a complete CD.
    - Pre-populate apt's lists directory with signed Release files for
      archive.ubuntu.com (and mirrors) and security.ubuntu.com, to protect
      against downgrade attacks right from initial installation.
    - Run 'apt-get update' for all sources.list lines produced by a single
      generator in one go, and don't comment out sources.list lines if it
      fails.
    - Make the path to security updates configurable, as well as the host.
    - Remove restricted from cdrom entry if apt-setup/restricted is false.
  * Add Release files for intrepid.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Jun 2008 12:29:09 +0100

apt-setup (1:0.37) unstable; urgency=low

  [ Updated translations ]
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Hungarian (hu.po) by SZERVÁC Attila
  * Marathi (mr.po) by Sampada
  * Dutch (nl.po) by Frans Pop
  * Punjabi (Gurmukhi) (pa.po) by Amanpreet Singh Alam

 -- Otavio Salvador <otavio@debian.org>  Wed, 07 May 2008 23:58:11 -0300

apt-setup (1:0.36) unstable; urgency=low

  * Don't scan the installation CD if it does not include base packages.
  * Because of reported issues with accessing the CD in the /target environment
    if it is already mounted in the D-I environment, base-installer has been
    reverted to loop-mounting the installation CD. In order to still allow
    CD-changing while avoiding these issues and keeping installs idempotent, we
    now need to allow apt-cdrom to manage mounting/unmounting for all types of
    CD images (except for hd-media installs). See: #474346, #475639.
    Requires: base-installer (>= 1.90), pkgsel (>= 0.19), di-utils (>= 1.57).

  [ Updated translations ]
  * Kurdish (ku.po) by Erdal Ronahi
  * Marathi (mr.po)

 -- Frans Pop <fjp@debian.org>  Mon, 28 Apr 2008 07:20:55 +0200

apt-setup (1:0.35) unstable; urgency=low

  * Remove code to work around the fact that base-installer loop-mounted the
    installation CD on /target/cdrom.
    Requires: base-installer (>= 1.89).
  * 90services-select: don't fail if question is skipped. Closes: #466066.

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera
  * Arabic (ar.po) by Ossama M. Khayat
  * Basque (eu.po) by Piarres Beobide
  * Dutch (nl.po) by Frans Pop
  * Panjabi (pa.po) by Amanpreet Singh Alam

 -- Frans Pop <fjp@debian.org>  Mon, 24 Mar 2008 23:18:36 +0100

apt-setup (1:0.34) unstable; urgency=low

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Finnish (fi.po) by Esko Arajärvi
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Kumar Appaiah
  * Indonesian (id.po) by Arief S Fitrianto
  * Central Khmer (km.po) by Khoem Sokhem
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Nepali (ne.po) by Shyam Krishna Bal
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Portuguese (pt.po) by Miguel Figueiredo
  * Slovenian (sl.po) by Matej Kovacic
  * Turkish (tr.po) by Recai Oktaş
  * Ukrainian (uk.po)
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Otavio Salvador <otavio@debian.org>  Fri, 15 Feb 2008 07:40:58 -0200

apt-setup (1:0.33) unstable; urgency=low

  [ Joey Hess ]


=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Priority: extra
 Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Joey Hess <joeyh@debian.org>
+Uploaders: Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>
 Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0), po-debconf (>= 0.5.0)
-XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/apt-setup
+XS-Original-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/apt-setup
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/apt-setup/ubuntu
 
 Package: apt-setup-udeb
 XC-Package-Type: udeb
 Architecture: all
 Priority: standard
 XB-Installer-Menu-Item: 7000
-Depends: apt-mirror-setup, base-installer (>= 1.49), ${misc:Depends}
+Depends: apt-mirror-setup, installed-base, ${misc:Depends}
 Description: Configure apt
 
 Package: apt-mirror-setup

## apt-setup 0.37ubuntu11

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>
 Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0), po-debconf (>= 0.5.0)
-XS-Original-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/apt-setup
+XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/apt-setup
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/apt-setup/ubuntu
 
 Package: apt-setup-udeb

## apt-setup 0.40

=== debian/changelog ===
apt-setup (1:0.40) unstable; urgency=low

  [ Colin Watson ]
  * Fix the cdrom generator in the case where log-output is not being used.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Belarusian (be.po) by Pavel Piatruk
  * Bengali (bn.po) by Mahay Alam Khan (মাহে আলম খান)
  * Bosnian (bs.po) by Armin Besirovic
  * Welsh (cy.po) by Jonathan Price
  * Danish (da.po)
  * Greek, Modern (1453-) (el.po)
  * Esperanto (eo.po) by Felipe Castro
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * French (fr.po) by Christian Perrier
  * Croatian (hr.po) by Josip Rodin
  * Hungarian (hu.po) by SZERVÁC Attila
  * Georgian (ka.po) by Aiet Kolkhi
  * Kurdish (ku.po) by Erdal Ronahi
  * Latvian (lv.po) by Peteris Krisjanis
  * Macedonian (mk.po) by Arangel Angov
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Russian (ru.po) by Yuri Kozlov
  * Serbian (sr.po) by Veselin Mijušković
  * Ukrainian (uk.po) by Євгеній Мещеряков
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Simplified Chinese (zh_CN.po) by Deng Xiyue
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Sep 2008 21:46:24 -0300

apt-setup (1:0.38) unstable; urgency=high

  [ Colin Watson ]
  * Initialise local variable 'file' so that apt-setup-verify doesn't get
    excruciatingly confused when you pass file=/path on the kernel command
    line.

  [ Frans Pop ]
  * Fix CD-changing for etch installs. The Etch version of apt-cdrom does not
    always automatically unmount the CD, so we need to do that ourselves.
  * Setting urgency to high as this fix is needed for the etchnhalf netinst.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Italian (it.po) by Milo Casagrande
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Mert Dirik
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke

 -- Frans Pop <fjp@debian.org>  Mon, 28 Jul 2008 00:44:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: apt-setup
 Section: debian-installer
 Priority: extra
-Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>
 Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0), po-debconf (>= 0.5.0)
-XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/apt-setup
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/apt-setup/ubuntu
+Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/apt-setup
 
 Package: apt-setup-udeb
 XC-Package-Type: udeb

=== debian/rules ===
#!/usr/bin/make -f

build:
	dh_testdir

clean:
	dh_testdir
	dh_testroot
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_install
	dh_installdirs -p apt-cdrom-setup usr/lib/finish-install.d
	install -m755 finish-install.apt-cdrom-setup \
		debian/apt-cdrom-setup/usr/lib/finish-install.d/10apt-cdrom-setup

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## apt-setup 0.41ubuntu2

=== debian/changelog ===
apt-setup (1:0.41ubuntu2) karmic; urgency=low

  * Use debconf-apt-progress for our Ubuntu-specific all-in-one-go 'apt-get
    update' run.
  * Re-enable progress bar cancellation. Thanks to debian-installer-utils
    1.70 and fixes in debconf, it all seems to work fine now (LP: #172879).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 01 Oct 2009 23:15:04 +0100

apt-setup (1:0.41ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Install the Ubuntu mirror generator instead of Debian's.
    - Set apt-setup/security_host to security.ubuntu.com, or
      ports.ubuntu.com on ports architectures; adjust directory and
      distribution to match.
    - Add security sources for restricted, universe, and multiverse,
      commented out unless the respective components are enabled. Disable
      security generator checks for contrib and non-free.
    - For CD installs, leave the sources.list created by apt-setup in
      /etc/apt/sources.list.apt-setup, and restore the sources.list created
      during base installation for the rest of the installation.
    - Honour OVERRIDE_BASE_INSTALLABLE when checking
      /cdrom/.disk/base_installable.
    - Enable universe and multiverse by default.
    - If either restricted or multiverse is enabled, add commented-out lines
      for the partner archive.
    - Reduce the mirror verification timeout to 10 seconds.
    - Disable the volatile service for Ubuntu, and don't ask the
      apt-setup/services-select question.
    - Always disable the CD at the end of installation if any mirrors are
      present, even if it's a complete CD.
    - Pre-populate apt's lists directory with signed Release files for
      archive.ubuntu.com (and mirrors) and security.ubuntu.com, to protect
      against downgrade attacks right from initial installation.
    - Run 'apt-get update' for all sources.list lines produced by a single
      generator in one go, and don't comment out sources.list lines if it
      fails.
    - Make the path to security updates configurable, as well as the host.
    - Remove restricted from cdrom entry if apt-setup/restricted is false.
    - Add Release files for intrepid and jaunty.
    - Allow preseeding apt-setup/partner to enable the partner repository.
    - Use cdrom-detect/cdrom_fs when remounting the CD to ensure that we do
      so using the same filesystem.
    - Make sure apt-cdrom doesn't unmount the CD if cd_type ends with
      /single.
    - Enable all network sources, including security updates, even if the
      network is unconfigured.
    - Fix handling of universe and multiverse in -backports lines.
    - Honour apt-setup/restricted, apt-setup/universe, and
      apt-setup/multiverse when writing -backports lines.
    - Check to make sure the CD filesystem is iso9660 before remounting it
      as such.  Do not write a CD identifier if we're not working with
      iso9660 so pkgsel does not try to unmount such disks.
    - Fix description of universe in generated sources.list: packages there
      are expected to be under a free licence.
    - Run 'apt-get update', without downloading package lists or cleaning up
      old files, after moving the sources.list generated during base system
      installation back into place.
    - If OVERRIDE_LEAVE_CD_MOUNTED is set, don't unmount /cdrom; this is a
      bad idea in a live CD environment!
    - Bail out cleanly from cdrom generator if /cdrom/.disk/info doesn't
      exist or has zero size.
  * Add Release files for karmic.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 24 Jun 2009 18:05:27 +0100

apt-setup (1:0.41) unstable; urgency=low

  [ Colin Watson ]
  * Merge from Ubuntu:
    - Make sure to exit services-select generator cleanly if
      apt-setup/services-select is empty.

  [ Updated translations ]
  *  (ast.po) by Marcos Alvarez Costales
  * Bengali (bn.po) by Md. Rezwan Shahid
  * Esperanto (eo.po) by Felipe Castro
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Estonian (et.po) by Mattias Põldaru
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by marce villarino
  * Hindi (hi.po) by Kumar Appaiah
  * Italian (it.po) by Milo Casagrande
  * Kazakh (kk.po) by daur88
  * Malayalam (ml.po) by Praveen Arimbrathodiyil
  * Marathi (mr.po) by Sampada
  * Slovak (sk.po) by Ivan Masár
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Tagalog (tl.po) by Eric Pareja

 -- Christian Perrier <bubulle@debian.org>  Thu, 11 Jun 2009 21:31:24 +0200

apt-setup (1:0.40ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Install the Ubuntu mirror generator instead of Debian's.
    - Set apt-setup/security_host to security.ubuntu.com, or
      ports.ubuntu.com on ports architectures; adjust directory and
      distribution to match.
    - Add security sources for restricted, universe, and multiverse,
      commented out unless the respective components are enabled. Disable
      security generator checks for contrib and non-free.
    - For CD installs, leave the sources.list created by apt-setup in
      /etc/apt/sources.list.apt-setup, and restore the sources.list created
      during base installation for the rest of the installation.
    - Honour OVERRIDE_BASE_INSTALLABLE when checking
      /cdrom/.disk/base_installable.
    - Enable universe and multiverse by default.
    - If either restricted or multiverse is enabled, add commented-out lines
      for the partner archive.
    - Reduce the mirror verification timeout to 10 seconds.
    - Disable the volatile service for Ubuntu, and don't ask the
      apt-setup/services-select question.
    - Always disable the CD at the end of installation if any mirrors are
      present, even if it's a complete CD.
    - Pre-populate apt's lists directory with signed Release files for
      archive.ubuntu.com (and mirrors) and security.ubuntu.com, to protect
      against downgrade attacks right from initial installation.


## apt-setup 0.43jolicloud1+l3

=== debian/changelog ===
apt-setup (1:0.43jolicloud1+l3) robby; urgency=low

  * Define legacy Ubuntu APT sources in /etc/apt/sources.list.d/ubuntu.list

 -- Adam McDaniel <adam@jolicloud.org>  Sat, 18 Sep 2010 15:28:24 -0600

apt-setup (1:0.42ubuntu3) lucid; urgency=low

  * Mount /proc, /sys, and /dev in the target system if necessary when
    running apt-cdrom (LP: #527641).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Mar 2010 15:07:27 +0000

apt-setup (1:0.42ubuntu2) lucid; urgency=low

  * Remove Release files for old releases.
  * Backport from trunk:
    - Guard against future multiple-CD handling changes in apt.  If multiple
      CDs are inserted then any one can satisfy a media-change request.  We
      don't yet deal with multiple CDs everywhere, but at least we won't
      break when 'apt-cdrom ident' starts returning multiple labels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 02 Feb 2010 12:41:13 -0800

apt-setup (1:0.42ubuntu1) lucid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Install the Ubuntu mirror generator instead of Debian's.
    - Set apt-setup/security_host to security.ubuntu.com, or
      ports.ubuntu.com on ports architectures; adjust directory and
      distribution to match.
    - Add security sources for restricted, universe, and multiverse,
      commented out unless the respective components are enabled. Disable
      security generator checks for contrib and non-free.
    - For CD installs, leave the sources.list created by apt-setup in
      /etc/apt/sources.list.apt-setup, and restore the sources.list created
      during base installation for the rest of the installation.
    - Honour OVERRIDE_BASE_INSTALLABLE when checking
      /cdrom/.disk/base_installable.
    - Reduce the mirror verification timeout to 10 seconds.
    - Disable the volatile service for Ubuntu, and don't ask the
      apt-setup/services-select question.
    - Always disable the CD at the end of installation if any mirrors are
      present, even if it's a complete CD.
    - Pre-populate apt's lists directory with signed Release files for
      archive.ubuntu.com (and mirrors) and security.ubuntu.com, to protect
      against downgrade attacks right from initial installation.
    - Run 'apt-get update' for all sources.list lines produced by a single
      generator in one go, and don't comment out sources.list lines if it
      fails.
    - Make the path to security updates configurable, as well as the host.
    - Remove restricted from cdrom entry if apt-setup/restricted is false.
    - Add Release files for intrepid and jaunty.
    - Allow preseeding apt-setup/partner to enable the partner repository.
    - Use cdrom-detect/cdrom_fs when remounting the CD to ensure that we do
      so using the same filesystem.
    - Make sure apt-cdrom doesn't unmount the CD if cd_type ends with
      /single.
    - Enable all network sources, including security updates, even if the
      network is unconfigured.
    - Fix handling of universe and multiverse in -backports lines.
    - Honour apt-setup/restricted, apt-setup/universe, and
      apt-setup/multiverse when writing -backports lines.
    - Check to make sure the CD filesystem is iso9660 before remounting it
      as such.  Do not write a CD identifier if we're not working with
      iso9660 so pkgsel does not try to unmount such disks.
    - Fix description of universe in generated sources.list: packages there
      are expected to be under a free licence.
    - Run 'apt-get update', without downloading package lists or cleaning up
      old files, after moving the sources.list generated during base system
      installation back into place.
    - If OVERRIDE_LEAVE_CD_MOUNTED is set, don't unmount /cdrom; this is a
      bad idea in a live CD environment!
    - Bail out cleanly from cdrom generator if /cdrom/.disk/info doesn't
      exist or has zero size.
    - Re-enable progress bar cancellation.
  * Add Release files for lucid.
  * Increase the mirror verification timeout to 30 seconds, now that this
    operation is cancellable. Some people (hi, Ara) seem to have trouble
    getting mirror responses in 10 seconds.
  * Correctly disable progresscancel on exiting apt-setup (LP: #462005).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 09 Nov 2009 11:46:22 +0000

apt-setup (1:0.42) unstable; urgency=low

  [ Colin Watson ]
  * Merge from Ubuntu:
    - Enable universe and multiverse by default for Ubuntu installs.
    - For Ubuntu installs, if either restricted or multiverse is enabled,
      add commented-out lines for the partner archive.
    - Use archive.ubuntu.com as the default source mirror for Ubuntu ports
      architectures.
    - Add apt-setup/proposed question (never asked); if preseeded to true
      for Ubuntu installs, -proposed entries will be added to sources.list
      (LP: #181776).
  * Adjust cancellation comment in apt-setup-verify: in-target preserves
    exit codes as of debian-installer-utils 1.70.
  * Use fetch-url instead of wget in local generator, making it possible to
    use file:// URLs.

  [ Updated translations ]
  * Asturian (ast.po) by Marcos Alvarez Costales
  * German (de.po) by Holger Wansing
  * Esperanto (eo.po) by Felipe Castro
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Hindi (hi.po)
  * Italian (it.po) by Milo Casagrande
  * Portuguese (pt.po) by Miguel Figueiredo
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Turkish (tr.po) by Mert Dirik
  * Simplified Chinese (zh_CN.po) by Deng Xiyue
       
 -- Otavio Salvador <otavio@ossystems.com.br>  Tue, 21 Jul 2009 12:13:34 -0300

## apt-setup 0.49ubuntu9

=== debian/changelog ===
apt-setup (1:0.49ubuntu9) oneiric; urgency=low

  * Fix non-i386 builds.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 19 Sep 2011 23:19:19 +0100

apt-setup (1:0.49ubuntu8) oneiric; urgency=low

  * Make apt-setup-udeb Architecture: any so that we can use different
    multiarch defaults on different architectures (LP: #853738).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 19 Sep 2011 22:05:04 +0100

apt-setup (1:0.49ubuntu7) oneiric; urgency=low

  * Enable multiarch by default for amd64 installations.  This can be
    controlled by preseeding apt-setup/multiarch.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Jul 2011 15:07:40 +0100

apt-setup (1:0.49ubuntu6) oneiric; urgency=low

  * Add Release files for oneiric.
  * Actually install Release files for archive.canonical.com and
    extras.ubuntu.com.
  * Remove Release files for previous releases.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 06 Jun 2011 23:32:48 +0100

apt-setup (1:0.49ubuntu5) oneiric; urgency=low

  * Enable backports by default now that we have NotAutomatic enabled and
    working.

 -- Iain Lane <laney@ubuntu.com>  Thu, 12 May 2011 08:39:39 +0100

apt-setup (1:0.49ubuntu4) natty; urgency=low

  * Disable partner by default again (accidentally enabled in
    1:0.48ubuntu1), and make sure that preseeding apt-setup/partner=true
    enables it (LP: #744982).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 08 Apr 2011 12:38:25 +0100

apt-setup (1:0.49ubuntu3) natty; urgency=low

  * Update extras.ubuntu.com/natty Release.gpg, signed with the proper key
    this time.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 01 Dec 2010 16:45:44 +0000

apt-setup (1:0.49ubuntu2) natty; urgency=low

  * Add Release files for extras.ubuntu.com/natty.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 24 Nov 2010 10:24:21 +0000

apt-setup (1:0.49ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Install the Ubuntu mirror generator instead of Debian's.
    - Set apt-setup/security_host to security.ubuntu.com, or
      ports.ubuntu.com on ports architectures; adjust directory and
      distribution to match.
    - Add security sources for restricted, universe, and multiverse,
      commented out unless the respective components are enabled. Disable
      security generator checks for contrib and non-free.
    - For CD installs, leave the sources.list created by apt-setup in
      /etc/apt/sources.list.apt-setup, and restore the sources.list created
      during base installation for the rest of the installation.
    - Honour OVERRIDE_BASE_INSTALLABLE when checking
      /cdrom/.disk/base_installable.
    - Set the mirror verification timeout to 30 seconds.
    - Adjust services-select for Ubuntu, removing volatile and adding
      partner (apt-setup/partner) and extras (apt-setup/extras).
    - Always disable the CD at the end of installation if any mirrors are
      present, even if it's a complete CD.
    - Pre-populate apt's lists directory with signed Release files for
      archive.ubuntu.com (and mirrors) and security.ubuntu.com, to protect
      against downgrade attacks right from initial installation.
    - Run 'apt-get update' for all sources.list lines produced by a single
      generator in one go, and don't comment out sources.list lines if it
      fails.
    - Make the path to security updates configurable, as well as the host.
    - Remove restricted from cdrom entry if apt-setup/restricted is false.
    - Make sure apt-cdrom doesn't unmount the CD if cd_type ends with
      /single.
    - Enable all network sources, including security updates, even if the
      network is unconfigured.
    - Honour apt-setup/restricted, apt-setup/universe, and
      apt-setup/multiverse when writing -backports lines.
    - Check to make sure the CD filesystem is iso9660 before remounting it
      as such.  Do not write a CD identifier if we're not working with
      iso9660 so pkgsel does not try to unmount such disks.
    - Run 'apt-get update', without downloading package lists or cleaning up
      old files, after moving the sources.list generated during base system
      installation back into place.
    - If OVERRIDE_LEAVE_CD_MOUNTED is set, don't unmount /cdrom; this is a
      bad idea in a live CD environment!
    - Bail out cleanly from cdrom generator if /cdrom/.disk/info doesn't
      exist or has zero size.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Nov 2010 10:12:32 +0000

apt-setup (1:0.49) unstable; urgency=low

  [ Colin Watson ]
  * Merge from Ubuntu:
    - Consistently write a blank line between generators, even if a
      non-first generator starts its output with a comment.

  [ Updated translations ]
  * Bengali (bn.po) by Israt Jahan
  * Catalan (ca.po) by Jordi Mallach
  * Icelandic (is.po) by Sveinn í Felli
  
 -- Otavio Salvador <otavio@debian.org>  Fri, 12 Nov 2010 09:39:59 -0200

apt-setup (1:0.48ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Install the Ubuntu mirror generator instead of Debian's.
    - Set apt-setup/security_host to security.ubuntu.com, or
      ports.ubuntu.com on ports architectures; adjust directory and
      distribution to match.
    - Add security sources for restricted, universe, and multiverse,
      commented out unless the respective components are enabled. Disable
      security generator checks for contrib and non-free.
    - For CD installs, leave the sources.list created by apt-setup in
      /etc/apt/sources.list.apt-setup, and restore the sources.list created
      during base installation for the rest of the installation.
    - Honour OVERRIDE_BASE_INSTALLABLE when checking
      /cdrom/.disk/base_installable.
    - Set the mirror verification timeout to 30 seconds.
    - Disable the volatile service for Ubuntu, and don't ask the
      apt-setup/services-select question.
    - Always disable the CD at the end of installation if any mirrors are
      present, even if it's a complete CD.
